Lists 11 endpoints

DELETE /lists/{list_id}/segments/{segment_id}/members/{subscriber_hash}

Remove a member from the specified static segment.

operationId: Lists_removeMemberFromSegment

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

segment_id path required string

The unique id for the segment.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /lists/{list_id}/segments/{segment_id}/members/{subscriber_hash}
GET /lists/{list_id}/signup-forms

Get signup forms for a specific list.

operationId: Lists_getSignupForms

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/signup-forms
POST /lists/{list_id}/signup-forms

Customize a list’s default signup form.

operationId: Lists_customizeSignupForm

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

Request Body

required
application/json
schema ListsCustomizeSignupFormRequest
Property Type Required
header object optional
text string optional
image_alt string optional
image_url string optional
image_link string optional
image_align string optional
image_width string optional
image_height string optional
image_target string optional
image_border_color string optional
image_border_style string optional
image_border_width string optional
styles array optional
options array optional
value string optional
property string optional
selector string optional
contents array optional
value string optional
section string optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}/signup-forms
GET /lists/{list_id}/surveys

Get information about all available surveys for a specific list.

operationId: Lists_getSurveysInfo

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/surveys
GET /lists/{list_id}/surveys/{survey_id}

Get details about a specific survey.

operationId: Lists_getSurveyDetails

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

survey_id path required string

The ID of the survey.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/surveys/{survey_id}
GET /lists/{list_id}/tag-search

Search for tags on a list by name. If no name is provided, will return all tags on the list.

operationId: Lists_searchTagsByName

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

name query optional string

The search query used to filter tags. The search query will be compared to each tag as a prefix, so all tags that have a name starting with this field will be returned.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/tag-search
GET /lists/{list_id}/webhooks

Get information about all webhooks for a specific list.

operationId: Lists_getWebhooksInfo

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/webhooks
POST /lists/{list_id}/webhooks

Create a new webhook for a specific list.

operationId: Lists_createWebhook

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

Request Body

application/json
schema ListsCreateWebhookRequest
Property Type Required
url string optional
events object optional
cleaned boolean optional
profile boolean optional
upemail boolean optional
campaign boolean optional
subscribe boolean optional
unsubscribe boolean optional
sources object optional
api boolean optional
user boolean optional
admin boolean optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}/webhooks
DELETE /lists/{list_id}/webhooks/{webhook_id}

Delete a specific webhook in a list.

operationId: Lists_deleteWebhook

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

webhook_id path required string

The webhook’s id.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /lists/{list_id}/webhooks/{webhook_id}
GET /lists/{list_id}/webhooks/{webhook_id}

Get information about a specific webhook.

operationId: Lists_getWebhookInfo

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

webhook_id path required string

The webhook’s id.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/webhooks/{webhook_id}
PATCH /lists/{list_id}/webhooks/{webhook_id}

Update the settings for an existing webhook.

operationId: Lists_updateWebhookSettings

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

webhook_id path required string

The webhook’s id.

Request Body

application/json
schema ListsCreateWebhookRequest
Property Type Required
url string optional
events object optional
cleaned boolean optional
profile boolean optional
upemail boolean optional
campaign boolean optional
subscribe boolean optional
unsubscribe boolean optional
sources object optional
api boolean optional
user boolean optional
admin boolean optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /lists/{list_id}/webhooks/{webhook_id}

Ping 1 endpoints

GET /ping

A health check for the API that won’t return any account-specific information.

operationId: Ping_healthCheck

Responses

default

An error generated by the Mailchimp API.

200
GET /ping

Reporting 12 endpoints

GET /reporting/facebook-ads

Get reports of Facebook ads.

operationId: Reporting_listFacebookAdsReports

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

sort_field query optional string

Returns files sorted by the specified field.

sort_dir query optional string

Determines the order direction for sorted results.

Responses

default

An error generated by the Mailchimp API.

200

List of Facebook Ad Report Instances

GET /reporting/facebook-ads
GET /reporting/facebook-ads/{outreach_id}

Get report of a Facebook ad.

operationId: Reporting_facebookAdReport

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

outreach_id path required string

The outreach id.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

Responses

default

An error generated by the Mailchimp API.

200

Facebook Ad report Instance

GET /reporting/facebook-ads/{outreach_id}
GET /reporting/facebook-ads/{outreach_id}/ecommerce-product-activity

Get breakdown of product activity for an outreach.

operationId: Reporting_listFacebookEcommerceReport

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

outreach_id path required string

The outreach id.

sort_field query optional string

Returns files sorted by the specified field.

Responses

default

An error generated by the Mailchimp API.

200

Ecommerce Product Activity Instance

GET /reporting/facebook-ads/{outreach_id}/ecommerce-product-activity
GET /reporting/landing-pages

Get reports of landing pages.

operationId: Reporting_listLandingPagesReports

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

Responses

default

An error generated by the Mailchimp API.

200

List of Landing Page Report Instances

GET /reporting/landing-pages
GET /reporting/landing-pages/{outreach_id}

Get report of a landing page.

operationId: Reporting_getLandingPageReport

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

outreach_id path required string

The outreach id.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

Responses

default

An error generated by the Mailchimp API.

200

Landing Page Report Instance

GET /reporting/landing-pages/{outreach_id}
GET /reporting/surveys

Get reports for surveys.

operationId: Reporting_listSurveyReports

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

Responses

default

An error generated by the Mailchimp API.

200

List of Survey Report Instances

GET /reporting/surveys
GET /reporting/surveys/{survey_id}

Get report for a survey.

operationId: Reporting_getSurveyReport

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

survey_id path required string

The ID of the survey.

Responses

default

An error generated by the Mailchimp API.

200

Survey Report Instance

GET /reporting/surveys/{survey_id}
GET /reporting/surveys/{survey_id}/questions

Get reports for survey questions.

operationId: Reporting_listSurveyQuestionsReports

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

survey_id path required string

The ID of the survey.

Responses

default

An error generated by the Mailchimp API.

200

List of Survey Question Report Instances

GET /reporting/surveys/{survey_id}/questions
GET /reporting/surveys/{survey_id}/questions/{question_id}

Get report for a survey question.

operationId: Reporting_surveyQuestionReport

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

survey_id path required string

The ID of the survey.

question_id path required string

The ID of the survey question.

Responses

default

An error generated by the Mailchimp API.

200

Survey Question Report Instance

GET /reporting/surveys/{survey_id}/questions/{question_id}
GET /reporting/surveys/{survey_id}/questions/{question_id}/answers

Get answers for a survey question.

operationId: Reporting_surveyQuestionAnswersList

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

survey_id path required string

The ID of the survey.

question_id path required string

The ID of the survey question.

respondent_familiarity_is query optional string

Filter survey responses by familiarity of the respondents.

Responses

default

An error generated by the Mailchimp API.

200

List of Survey Question Answers

GET /reporting/surveys/{survey_id}/questions/{question_id}/answers
GET /reporting/surveys/{survey_id}/responses

Get responses to a survey.

operationId: Reporting_surveyResponsesList

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

survey_id path required string

The ID of the survey.

answered_question query optional integer

The ID of the question that was answered.

chose_answer query optional string

The ID of the option chosen to filter responses on.

respondent_familiarity_is query optional string

Filter survey responses by familiarity of the respondents.

Responses

default

An error generated by the Mailchimp API.

200

List of survey responses

GET /reporting/surveys/{survey_id}/responses
GET /reporting/surveys/{survey_id}/responses/{response_id}

Get a single survey response.

operationId: Reporting_singleSurveyResponse

Parameters

Name In Required Type Description
survey_id path required string

The ID of the survey.

response_id path required string

The ID of the survey response.

Responses

default

An error generated by the Mailchimp API.

200

Get a single survey response.

GET /reporting/surveys/{survey_id}/responses/{response_id}

Reports 22 endpoints

GET /reports

Get campaign reports.

operationId: Reports_listCampaignReports

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

type query optional string

The campaign type.

before_send_time query optional string

Restrict the response to campaigns sent before the set time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

since_send_time query optional string

Restrict the response to campaigns sent after the set time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports
GET /reports/{campaign_id}

Get report details for a specific sent campaign.

operationId: Reports_specificCampaignReport

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}
GET /reports/{campaign_id}/abuse-reports

Get a list of abuse complaints for a specific campaign.

operationId: Reports_listAbuseReports

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/abuse-reports
GET /reports/{campaign_id}/abuse-reports/{report_id}

Get information about a specific abuse report for a campaign.

operationId: Reports_getAbuseReport

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

report_id path required string

The id for the abuse report.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/abuse-reports/{report_id}
GET /reports/{campaign_id}/advice

Get feedback based on a campaign’s statistics. Advice feedback is based on campaign stats like opens, clicks, unsubscribes, bounces, and more.

operationId: Reports_listCampaignFeedback

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/advice
GET /reports/{campaign_id}/click-details

Get information about clicks on specific links in your Mailchimp campaigns.

operationId: Reports_getCampaignClickDetails

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

campaign_id path required string

The unique id for the campaign.

sort_field query optional string

Returns click reports sorted by the specified field.

sort_dir query optional string

Determines the order direction for sorted results.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/click-details
GET /reports/{campaign_id}/click-details/{link_id}

Get click details for a specific link in a campaign.

operationId: Reports_specificLinkDetails

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

link_id path required string

The id for the link.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/click-details/{link_id}
GET /reports/{campaign_id}/click-details/{link_id}/members

Get information about list members who clicked on a specific link in a campaign.

operationId: Reports_listClickedLinkSubscribers

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

campaign_id path required string

The unique id for the campaign.

link_id path required string

The id for the link.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/click-details/{link_id}/members
GET /reports/{campaign_id}/click-details/{link_id}/members/{subscriber_hash}

Get information about a specific subscriber who clicked a link in a specific campaign.

operationId: Reports_specificLinkSubscriber

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

link_id path required string

The id for the link.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/click-details/{link_id}/members/{subscriber_hash}
GET /reports/{campaign_id}/domain-performance

Get statistics for the top-performing email domains in a campaign.

operationId: Reports_listDomainPerformanceStats

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/domain-performance
GET /reports/{campaign_id}/ecommerce-product-activity

Get breakdown of product activity for a campaign

operationId: Reports_getCampaignProductActivity

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

campaign_id path required string

The unique id for the campaign.

sort_field query optional string

Returns files sorted by the specified field.

Responses

default

An error generated by the Mailchimp API.

200

Ecommerce Product Activity Instance

GET /reports/{campaign_id}/ecommerce-product-activity
GET /reports/{campaign_id}/eepurl

Get a summary of social activity for the campaign, tracked by EepURL.

operationId: Reports_listEepurlActivity

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/eepurl
GET /reports/{campaign_id}/email-activity

Get a list of member’s subscriber activity in a specific campaign.

operationId: Reports_listEmailActivity

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

campaign_id path required string

The unique id for the campaign.

since query optional string

Restrict results to email activity events that occur after a specific time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/email-activity
GET /reports/{campaign_id}/email-activity/{subscriber_hash}

Get a specific list member’s activity in a campaign including opens, clicks, and bounces.

operationId: Reports_getSubscriberActivity

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address.

since query optional string

Restrict results to email activity events that occur after a specific time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/email-activity/{subscriber_hash}
GET /reports/{campaign_id}/locations

Get top open locations for a specific campaign.

operationId: Reports_listTopOpenLocations

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/locations
GET /reports/{campaign_id}/open-details

Get detailed information about any campaign emails that were opened by a list member.

operationId: Reports_listCampaignOpenDetails

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

campaign_id path required string

The unique id for the campaign.

since query optional string

Restrict results to campaign open events that occur after a specific time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

sort_field query optional string

Returns open reports sorted by the specified field.

sort_dir query optional string

Determines the order direction for sorted results.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/open-details
GET /reports/{campaign_id}/open-details/{subscriber_hash}

Get information about a specific subscriber who opened a campaign.

operationId: Reports_openSubscriberDetails

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/open-details/{subscriber_hash}
GET /reports/{campaign_id}/sent-to

Get information about campaign recipients.

operationId: Reports_listCampaignRecipients

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

campaign_id path required string

The unique id for the campaign.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/sent-to
GET /reports/{campaign_id}/sent-to/{subscriber_hash}

Get information about a specific campaign recipient.

operationId: Reports_campaignRecipientInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/sent-to/{subscriber_hash}
GET /reports/{campaign_id}/sub-reports

Get a list of reports with child campaigns for a specific parent campaign.

operationId: Reports_listChildCampaignReports

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/sub-reports
GET /reports/{campaign_id}/unsubscribed

Get information about members who have unsubscribed from a specific campaign.

operationId: Reports_listUnsubscribedMembers

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

campaign_id path required string

The unique id for the campaign.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/unsubscribed
GET /reports/{campaign_id}/unsubscribed/{subscriber_hash}

Get information about a specific list member who unsubscribed from a campaign.

operationId: Reports_getUnsubscribedMemberInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

campaign_id path required string

The unique id for the campaign.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address.

Responses

default

An error generated by the Mailchimp API.

200
GET /reports/{campaign_id}/unsubscribed/{subscriber_hash}

Root 1 endpoints

GET /

Get links to all other resources available in the API.

operationId: Root_listResources

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

Responses

default

An error generated by the Mailchimp API.

200
GET /

Searchcampaigns 1 endpoints

GET /search-campaigns

Search all campaigns for the specified query terms.

operationId: SearchCampaigns_byQueryTerms

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

query query required string

The search query used to filter results.

Responses

default

An error generated by the Mailchimp API.

200
GET /search-campaigns

Searchmembers 1 endpoints

GET /search-members

Search for list members. This search can be restricted to a specific list, or can be used to search across all lists in an account.

operationId: SearchMembers_listMembers

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

query query required string

The search query used to filter results. Query should be a valid email, or a string representing a contact’s first or last name.

list_id query optional string

The unique id for the list.

Responses

default

An error generated by the Mailchimp API.

200
GET /search-members

Surveys 1 endpoints

POST /lists/{list_id}/surveys/{survey_id}/actions/create-email

Utilize the List ID and Survey ID to generate a Campaign that links to your survey.

operationId: Surveys_generateCampaign

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

survey_id path required string

The ID of the survey.

Responses

default

An error generated by the Mailchimp API.

200

Campaign Instance

POST /lists/{list_id}/surveys/{survey_id}/actions/create-email
Load more endpoints